/*------------------------------------------------------------------------------
 src/lib/djWidget/djImageIoSgiWidget.h
 
 Copyright (c) 2004-2006 Darby Johnston.
 All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJ_IMAGE_IO_SGI_WIDGET_H
#define DJ_IMAGE_IO_SGI_WIDGET_H
#include <djImageIoSgi.h>
#include <djEnumWidget.h>
#include <djImageIoWidget.h>

namespace dj {
namespace ImageIoSgi {

// Image save widget.
//
class SaveWidget : public ImageSaveWidget {
public:

  SaveWidget();
  
  const Str name() const { return ImageIoSgi::name(); }
  Plugin * copy() const { return new SaveWidget; }
  
  void set(ImageSave *);
  void widgetUpdate();
  
private:

  DJ_CALLBACK(SaveWidget, compressCallback, Save::COMPRESS)

  EnumWidget<Save::COMPRESS> * _compressWidget;
  bool _callbacks;
};

}
}

#endif
